Basic Installation
==================

tellico relies on cmake to build.

Here are suggested default options:

 -DCMAKE_EXPORT_COMPILE_COMMANDS="ON" \
 -DCMAKE_INSTALL_PREFIX="/opt/trinity" \
 -DCONFIG_INSTALL_DIR="/etc/trinity" \
 -DSYSCONF_INSTALL_DIR="/etc/trinity" \
 -DXDG_MENU_INSTALL_DIR="/etc/xdg/menus" \
 -DCMAKE_BUILD_TYPE=RelWithDebInfo \
 -DCMAKE_VERBOSE_MAKEFILE="ON" \
 -DCMAKE_SKIP_RPATH="OFF" \
 -DBUILD_ALL="ON" \
 -DWITH_ALL_OPTIONS="ON"


Requirements:
=============

- libxml
- libexslt
- taglib
- yaz


Optional:
=========

- btparse
- exempi
- libkcal (tdepim)
- libkcddb (tdemultimedia)
- poppler-tqt (tdegraphics)
- v4l
